# SizedMediaFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files.abstracts / SizedMediaFile

# SizedMediaFile

(common) `interface SizedMediaFile : TelegramMediaFile` (source)

### Properties

(common)

#### height

`abstract val height: Int`

(common)

#### width

`abstract val width: Int`

### Inheritors

(common)

#### AnimationFile

`data class AnimationFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, CustomNamedMediaFile, SizedMediaFile`

(common)

#### PhotoSize

`data class PhotoSize : SizedMediaFile`

(common)

#### Sticker

`data class Sticker : TelegramMediaFile, SizedMediaFile, ThumbedMediaFile`

(common)

#### VideoFile

`data class VideoFile : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, PlayableMediaFile, SizedMediaFile`

(common)

#### VideoNoteFile

`data class VideoNoteFile : TelegramMediaFile, ThumbedMediaFile, PlayableMediaFile, SizedMediaFile`